/******************************************************************************
*                                                                             *
*                          Network Job Control (NJC)                          *
*                                                                             *
*                               Q U E U E . H                                 *
*                            general include file                             *
*                                                                             *
*                   Copyright (c) Joerg-R. Hill, April 1992                   *
*                                                                             *
******************************************************************************/

/* adjust this according to your needs, directory where NJC files are located */
#define NJCPATH "/home/jrh/bin/njc"

#define MAXLENHOSTNAME 15       /* maximum number of characters in hostnames */
#define MAXHOSTS 20             /* maximum number of hosts */
#define MAXPROCESS 10           /* maximum number of processes on one host
                                   which are managed by NJC */

/* you shouldn't need to modify anything below */
#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif
#define MAXLENLINE 255          /* maximum number of characters in
                                   one line of all files */
#define NJCSERVER 20000000
#define NJCCLIENT 20000001
#define VERS 1
#define NEXTJOB 1
#define INIT 2
#define STOP 3
#define QUEUESERVER 4
#define STARTJOB 1
#define CHECKPIDS 2
#define QUEUECLIENT 3

typedef struct {
  char *user;
  char *password;
  char *path;
  char *command;
  char *shell;
  int nice;
} JOB;
