/******************************************************************************
*                                                                             *
*                          Network Job Control (NJC)                          *
*                                                                             *
*                            C H E C K P I D S . C                            *
*                common routine for queuec, queued, and submit                *
*                                                                             *
*                   Copyright (c) Joerg-R. Hill, April 1992                   *
*                                                                             *
******************************************************************************/

#include<signal.h>
#include<stdio.h>
#include<sys/errno.h>

#include "queue.h"

/* Prototypes */
int *checkpids(int *);

int *checkpids(int pids[])
{
  static int wrongpids[MAXPROCESS];
  extern int errno;
  register int i, j;

  i=j=0;
  while (pids[i] != 0 && i<=MAXPROCESS)
  {
    if (kill(pids[i], 0) == -1 && errno == ESRCH)
    {
      if (kill(pids[i], 0) == -1 && errno == ESRCH)
  	  wrongpids[j++]=pids[i];
    }
    i++;
  }
  if (j <= MAXPROCESS) wrongpids[j]=0;
  return(wrongpids);
}
